Summary: Ruby is an object-oriented programming language
Name: ruby

# specopt
%{?include_specopt}
%{?!with_dbm_backend_type:      %global with_dbm_backend_type   qdbm}

%if %(if [ "%{with_dbm_backend_type}" = "qdbm" ]; then echo 1; else echo 0; fi)
%global with_dbm_backend_qdbm 1
%else
%global with_dbm_backend_qdbm 0
%endif

%if %(if [ "%{with_dbm_backend_type}" = "gdbm" ]; then echo 1; else echo 0; fi)
%global with_dbm_backend_gdbm 1
%else
%global with_dbm_backend_gdbm 0
%endif

%if %(if [ "%{with_dbm_backend_type}" = "db" ]; then echo 1; else echo 0; fi)
%global with_dbm_backend_db 1
%else
%global with_dbm_backend_db 0
%endif

# version macros
%global ruby_mm 1.8
%global ruby_mmm %{ruby_mm}.1
#% global preview 4
%global momorel 11

# global information
Version: %{ruby_mmm}
#Release: %{?preview:0.%{preview}.}%{momorel}m
#Release: 0.%{preview}.%{momorel}m
Release: %{momorel}m
Group: Development/Languages
License: GPL
URL: http://www.ruby-lang.org/

# sources
## % NoSource 0 ftp://ftp.ruby-lang.org/pub/ruby/%{ruby_mm}/ruby-%{version}%{?preview:-preview%{preview}}.tar.gz c739d26356b8e3a1fa6409a6bcdcef68
%NoSource 0 ftp://ftp.ruby-lang.org/pub/ruby/%{ruby_mm}/ruby-%{version}.tar.gz 5d52c7d0e6a6eb6e3bc68d77e794898e

# patches
Patch0: ruby-core-02071.patch
Patch1: ruby-Makefile.in.patch

Patch500: ruby-1.8.1-relax-version-checking.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: tcl >= 8.4.5-1m , tk >= 8.4.5-1m , ncurses-devel, readline-devel
BuildPreReq: openssl-devel, pkgconfig
BuildRequires: zlib-devel >= 1.1.4-5m
%if %{with_dbm_backend_qdbm}
BuildRequires: qdbm-devel
%endif # with_dbm_backend_qdbm
BuildRequires: gdbm-devel >= 1.8.0
%if %{with_dbm_backend_db}
BuildRequires: db4-devel
%endif # with_dbm_backend_db

Provides: %{_bindir}/ruby
Provides: %{_bindir}/irb
Provides: %{_bindir}/erb
Provides: ruby-bigdecimal
Provides: ruby-drb
Provides: ruby-erb
Provides: ruby-iconv
Provides: ruby-openssl
Provides: ruby-optparse
Provides: ruby-racc-runtime
Provides: ruby-rdoc
Provides: ruby-rexml
Provides: ruby-rubyunit
Provides: ruby-soap4r
Provides: ruby-stringio
Provides: ruby-strscan
Provides: ruby-testunit
Provides: ruby-webrick
Provides: ruby-xmlrpc
Provides: ruby-xsd4r
Provides: ruby-yaml
Provides: ruby-zlib
Provides: webrick
Obsoletes: ruby-drb
Obsoletes: ruby-erb
Obsoletes: ruby-openssl
Obsoletes: ruby-rdoc
Obsoletes: ruby-shim
Obsoletes: ruby-xmlrpc
Obsoletes: ruby-zlib
Obsoletes: webrick

%description
Ruby is the interpreted scripting language for quick and easy
object-oriented programming. It has many features to process text
files and to do system management tasks (as in perl). It is simple,
straight-forward, and extensible.

%package devel
Summary: Header file and library for development with Ruby
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glibc-devel

%description devel
Ruby is the interpreted scripting language for quick and easy
object-oriented programming. It has many features to process text
files and to do system management tasks (as in perl). It is simple,
straight-forward, and extensible.

%package tcltk
Summary: tcl/tk extention for ruby
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: tcl
Requires: tk

%description tcltk
Ruby is the interpreted scripting language for quick and easy
object-oriented programming. It has many features to process text
files and to do system management tasks (as in perl). It is simple,
straight-forward, and extensible.

%global ruby_libdir	%{_libdir}/%{name}/%{ruby_mm}
%global ruby_os		%{_target_os}%{?_gnu}
%global ruby_arch	%{_target_cpu}-%{ruby_os}
%global ruby_archdir	%{ruby_libdir}/%{ruby_arch}

%prep
%setup -q

%patch0 -p1 -b .core-02071~
%patch500 -p1 -b .relax-version-checking~
%patch1 -p1 -b .bug_no_28

%__mkdir_p documents
DOCDIR=`pwd`/documents
(
  cd ext
  %__mkdir_p ${DOCDIR}/ext

  (
    cd bigdecimal
    %__mkdir_p ${DOCDIR}/ext/bigdecimal
    %__cp -R README *.html sample ${DOCDIR}/ext/bigdecimal
  )
  (
    cd digest
    %__mkdir_p ${DOCDIR}/ext/digest
    %__cp -R digest.txt* ${DOCDIR}/ext/digest
  )
  (
    cd dl
    %__mkdir_p ${DOCDIR}/ext/dl
    %__cp -R doc sample test ${DOCDIR}/ext/dl
  )
  (
    cd enumerator
    %__mkdir_p ${DOCDIR}/ext/enumerator
    %__cp -R enumerator.txt ${DOCDIR}/ext/enumerator
  )
  (
    cd etc
    %__mkdir_p ${DOCDIR}/ext/etc
    %__cp -R etc.txt* ${DOCDIR}/ext/etc
  )
  (
    cd gdbm
    %__mkdir_p ${DOCDIR}/ext/gdbm
    %__cp -R README testgdbm.rb ${DOCDIR}/ext/gdbm
  )
  (
    cd nkf
    %__mkdir_p ${DOCDIR}/ext/nkf
    %__cp -R test.rb ${DOCDIR}/ext/nkf
  )
  (
    cd pty
    %__mkdir_p ${DOCDIR}/ext/pty
    %__cp -R README* expect_sample.rb script.rb shl.rb ${DOCDIR}/ext/pty
  )
  (
    cd readline
    %__mkdir_p ${DOCDIR}/ext/readline
    %__cp -R README* ${DOCDIR}/ext/readline
  )
  (
    cd sdbm
    %__mkdir_p ${DOCDIR}/ext/sdbm
    %__cp -R testsdbm.rb ${DOCDIR}/ext/sdbm
  )
  (
    cd stringio
    %__mkdir_p ${DOCDIR}/ext/stringio
    %__cp -R README ${DOCDIR}/ext/stringio
  )
  (
    cd syslog
    %__mkdir_p ${DOCDIR}/ext/syslog
    %__cp -R syslog.txt test.rb ${DOCDIR}/ext/syslog
  )
  (
    cd tcltklib
    %__mkdir_p ${DOCDIR}/ext/tcltklib
    %__cp -R MANUAL.eng README.1st ${DOCDIR}/ext/tcltklib
  )
  (
    cd tk
    %__mkdir_p ${DOCDIR}/ext/tk
    %__cp -R README.1st ${DOCDIR}/ext/tk
    (
      cd lib
      %__mkdir_p ${DOCDIR}/ext/tk/lib
      %__cp -R README ${DOCDIR}/ext/tk/lib
    )
  )
  (
    cd zlib
    %__mkdir_p ${DOCDIR}/ext/zlib
    %__cp -R doc ${DOCDIR}/ext/zlib
  )
)
(
  cd lib
  %__mkdir_p ${DOCDIR}/lib
  %__cp -R README ${DOCDIR}/lib
  (
    cd rdoc
    %__mkdir_p ${DOCDIR}/lib/rdoc
    %__cp -R README ${DOCDIR}/lib/rdoc
  )
)


%build

CFLAGS=`echo %{optflags} | sed -e 's/-fomit-frame-pointer//g'`
%configure \
  --enable-frame-address \
  --enable-pthread \
  --enable-shared \
  --with-default-kcode=none \
  --with-sitedir=%{_prefix}/local/lib/ruby/site_ruby \
  --with-mantype=man \
  --enable-ipv6 \
  --enable-tcltk_stubs \
  --with-dbm-type=%{with_dbm_backend_type} \
  --with-lookup-order-hack=INET
%make

find . -type f \
  | xargs ./miniruby -I . -i -p -e "
sub(%r|^#!\\s*/usr/local/bin|, '#! %{_bindir}')
sub(%r|/usr/local/bin/ruby|, '%{_bibdir}/ruby')
"

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
%__mkdir_p %{buildroot}%{ruby_libdir}/math

(
  cd %{buildroot}%{ruby_libdir}
%ifarch i386
  %__ln_s -f %{ruby_arch} i486-%{ruby_os}
  %__ln_s -f %{ruby_arch} i586-%{ruby_os}
  %__ln_s -f %{ruby_arch} i686-%{ruby_os}
%endif
%ifarch i486
  %__ln_s -f %{ruby_arch} i386-%{ruby_os}
  %__ln_s -f %{ruby_arch} i586-%{ruby_os}
  %__ln_s -f %{ruby_arch} i686-%{ruby_os}
%endif
%ifarch i586
  %__ln_s -f %{ruby_arch} i386-%{ruby_os}
  %__ln_s -f %{ruby_arch} i486-%{ruby_os}
  %__ln_s -f %{ruby_arch} i686-%{ruby_os}
%endif
%ifarch i686
  %__ln_s -f %{ruby_arch} i386-%{ruby_os}
  %__ln_s -f %{ruby_arch} i486-%{ruby_os}
  %__ln_s -f %{ruby_arch} i586-%{ruby_os}
%endif
%ifarch ppc
  %__ln_s -f powerpc-%{ruby_os} ppc-%{ruby_os}
%endif
)

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING* ChangeLog* GPL LEGAL LGPL README* ToDo
%doc doc sample test documents/*

### core
%{_bindir}/ruby
%{_bindir}/ri
%{_libdir}/libruby.so.*
%dir %{_libdir}/ruby
%dir %{ruby_libdir}
%dir %{ruby_archdir}
%ifarch i386
%{ruby_libdir}/i486-%{ruby_os}
%{ruby_libdir}/i586-%{ruby_os}
%{ruby_libdir}/i686-%{ruby_os}
%endif # i386
%ifarch i486
%{ruby_libdir}/i386-%{ruby_os}
%{ruby_libdir}/i586-%{ruby_os}
%{ruby_libdir}/i686-%{ruby_os}
%endif # i486
%ifarch i586
%{ruby_libdir}/i386-%{ruby_os}
%{ruby_libdir}/i486-%{ruby_os}
%{ruby_libdir}/i686-%{ruby_os}
%endif # i586
%ifarch i686
%{ruby_libdir}/i386-%{ruby_os}
%{ruby_libdir}/i486-%{ruby_os}
%{ruby_libdir}/i586-%{ruby_os}
%endif # i686
%ifarch ppc
%{ruby_libdir}/powerpc-%{ruby_os}
%endif # ppc
%{ruby_archdir}/rbconfig.rb
%{_mandir}/man1/ruby.1*

### English
%{ruby_libdir}/English.rb

### Env
%{ruby_libdir}/Env.rb

### abbrev
%{ruby_libdir}/abbrev.rb

### benchmark
%{ruby_libdir}/benchmark.rb

### bigdecimal
%{ruby_libdir}/bigdecimal
%{ruby_archdir}/bigdecimal.so

### cgi
%{ruby_libdir}/cgi
%{ruby_libdir}/cgi.rb

### cgi-lib
%{ruby_libdir}/cgi-lib.rb

### csv
%{ruby_libdir}/csv.rb

### curses
%{ruby_archdir}/curses.so

### date
%{ruby_libdir}/date
%{ruby_libdir}/date.rb

### date2
%{ruby_libdir}/date2.rb

### dbm
%{ruby_archdir}/dbm.so

### debug
%{ruby_libdir}/debug.rb

### design pattern
%{ruby_libdir}/delegate.rb
%{ruby_libdir}/forwardable.rb
%{ruby_libdir}/observer.rb
%{ruby_libdir}/singleton.rb

### digest
%{ruby_archdir}/digest
%{ruby_archdir}/digest.so

### dl
%{ruby_libdir}/dl
%{ruby_archdir}/dl.so

### drb
%{ruby_libdir}/drb
%{ruby_libdir}/rinda
%{ruby_libdir}/drb.rb

### e2mmap
%{ruby_libdir}/e2mmap.rb

### enumerator
%{ruby_archdir}/enumerator.so

### erb
%{_bindir}/erb
%{ruby_libdir}/erb.rb

### eregex
%{ruby_libdir}/eregex.rb

### etc
%{ruby_archdir}/etc.so

### fcntl
%{ruby_archdir}/fcntl.so

### fileutils
%{ruby_libdir}/fileutils.rb

### finalize
%{ruby_libdir}/finalize.rb

### find
%{ruby_libdir}/find.rb

### ftools
%{ruby_libdir}/ftools.rb

### gdbm
%{ruby_archdir}/gdbm.so

### generator
%{ruby_libdir}/generator.rb

### getoptlong
%{ruby_libdir}/getoptlong.rb

### getopts
%{ruby_libdir}/getopts.rb

### iconv
%{ruby_archdir}/iconv.so

### importenv
%{ruby_libdir}/importenv.rb

### io
%{ruby_archdir}/io
%{ruby_libdir}/io

### ipaddr
%{ruby_libdir}/ipaddr.rb

### irb
%{_bindir}/irb
%{ruby_libdir}/irb
%{ruby_libdir}/irb.rb

### jcode
%{ruby_libdir}/jcode.rb

### logger
%{ruby_libdir}/logger.rb

### mailread
%{ruby_libdir}/mailread.rb

### mathematics
%{ruby_libdir}/complex.rb
%dir %{ruby_libdir}/math
%{ruby_libdir}/mathn.rb
%{ruby_libdir}/matrix.rb
%{ruby_libdir}/rational.rb

### md5
%{ruby_libdir}/md5.rb

### mkfm
%{ruby_libdir}/mkmf.rb

### net
%{ruby_libdir}/net

### nkf
%{ruby_libdir}/base64.rb
%{ruby_libdir}/kconv.rb
%{ruby_archdir}/nkf.so

### open-uri
%{ruby_libdir}/open-uri.rb

### open3
%{ruby_libdir}/open3.rb

### openssl
%{ruby_archdir}/openssl.so
%{ruby_libdir}/openssl
%{ruby_libdir}/openssl.rb

### optparse
%{ruby_libdir}/optparse
%{ruby_libdir}/optparse.rb

### ostruct
%{ruby_libdir}/ostruct.rb

### parsearg
%{ruby_libdir}/parsearg.rb

### parsedate
%{ruby_libdir}/parsedate.rb

### pathname
%{ruby_libdir}/pathname.rb

### ping
%{ruby_libdir}/ping.rb

### pp
%{ruby_libdir}/pp.rb

### prettyprint
%{ruby_libdir}/prettyprint.rb

### profile
%{ruby_libdir}/profile.rb

### profiler
%{ruby_libdir}/profiler.rb

### pstore
%{ruby_libdir}/pstore.rb

### pty
%{ruby_libdir}/expect.rb
%{ruby_archdir}/pty.so

### racc-runtime
%{ruby_archdir}/racc
%{ruby_libdir}/racc

### rdoc
%{_bindir}/rdoc
%{ruby_libdir}/rdoc

### readbytes
%{ruby_libdir}/readbytes.rb

### readline
%{ruby_archdir}/readline.so

### resolv
%{ruby_libdir}/resolv-replace.rb
%{ruby_libdir}/resolv.rb

### rexml
%{ruby_libdir}/rexml

### rubyunit
%{ruby_libdir}/rubyunit.rb
%{ruby_libdir}/runit

### scanf
%{ruby_libdir}/scanf.rb

### sdbm
%{ruby_archdir}/sdbm.so

### set
%{ruby_libdir}/set.rb

### sha1
%{ruby_libdir}/sha1.rb

### shell
%{ruby_libdir}/shell
%{ruby_libdir}/shell.rb
%{ruby_libdir}/shellwords.rb

### soap4r
%{ruby_libdir}/soap

### socket
%{ruby_archdir}/socket.so

### stringio
%{ruby_archdir}/stringio.so

### strscan
%{ruby_archdir}/strscan.so

### sync
%{ruby_libdir}/sync.rb

### syslog
%{ruby_archdir}/syslog.so

### tempfile
%{ruby_libdir}/tempfile.rb

### test/unit
%{_bindir}/testrb
%{ruby_libdir}/test

### thread
%{ruby_libdir}/monitor.rb
%{ruby_libdir}/mutex_m.rb
%{ruby_libdir}/thread.rb
%{ruby_libdir}/thwait.rb

### time
%{ruby_libdir}/time.rb

### timeout
%{ruby_libdir}/timeout.rb

### tmpdir
%{ruby_libdir}/tmpdir.rb

### tracer
%{ruby_libdir}/tracer.rb

### tsort
%{ruby_libdir}/tsort.rb

### un
%{ruby_libdir}/un.rb

### uri
%{ruby_libdir}/uri
%{ruby_libdir}/uri.rb

### weakref
%{ruby_libdir}/weakref.rb

### webrick
%{ruby_libdir}/webrick
%{ruby_libdir}/webrick.rb

### wsdl4r
%{ruby_libdir}/wsdl

### xmlrpc
%{ruby_libdir}/gserver.rb
%{ruby_libdir}/xmlrpc

### xsd4r
%{ruby_libdir}/xsd

### yaml
%{ruby_archdir}/syck.so
%{ruby_libdir}/yaml
%{ruby_libdir}/yaml.rb

### zlib
%{ruby_archdir}/zlib.so

%files devel
%defattr(-, root, root)
%{_libdir}/libruby-static.a
%{_libdir}/libruby.so
%{ruby_archdir}/*.h

%files tcltk
%defattr(-, root, root)
%{ruby_archdir}/tcltklib.so
%{ruby_archdir}/tkutil.so
%{ruby_libdir}/multi-tk.rb
%{ruby_libdir}/tcltk.rb
%{ruby_libdir}/tk.rb
%{ruby_libdir}/tkafter.rb
%{ruby_libdir}/tkbgerror.rb
%{ruby_libdir}/tkcanvas.rb
%{ruby_libdir}/tkclass.rb
%{ruby_libdir}/tkconsole.rb
%{ruby_libdir}/tkdialog.rb
%{ruby_libdir}/tkentry.rb
%{ruby_libdir}/tkfont.rb
%{ruby_libdir}/tkmacpkg.rb
%{ruby_libdir}/tkmenubar.rb
%{ruby_libdir}/tkmngfocus.rb
%{ruby_libdir}/tkpalette.rb
%{ruby_libdir}/tkscrollbox.rb
%{ruby_libdir}/tktext.rb
%{ruby_libdir}/tkvirtevent.rb
%{ruby_libdir}/tkwinpkg.rb

%changelog
* Mon Jun 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.8.1-11m)
- rebuild against tcl, tk

* Sun Apr 18 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.8.1-10m)
- add ruby-1.8.1-relax-version-checking.patch

* Thu Apr 15 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.1-9m)
- add patch1 (bug report #28)

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (1.8.1-8m)
- add defattr to tcltk sub package.

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (1.8.1-7m)
- Not only *.rb contain local/bin.

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (1.8.1-6m)
- revised spec for rpm 4.2.

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.1-5m)
- specfile cleanup

* Thu Jan 29 2004 mutecat <mutecat@momonga-linux.org>
- (1.8.1-4m)
- add ifarch ppc.

* Wed Jan 28 2004 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-3m)
- rebuild against qdbm.

* Fri Dec 26 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-2m)
- [ruby-core:02071].

* Thu Dec 25 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-1m)
- version 1.8.1.

* Wed Dec 24 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-0.4.3m)
- [ruby-dev:22360].

* Mon Dec 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.1-0.4.2m)
- [ruby-dev:22326].

* Mon Dec 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.1-0.4.1m)
- 1.8.1preview4

* Mon Dec 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.1-0.3.3m)
- accept gdbm-1.8.0 or newer

* Fri Dec 18 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-0.3.2m)
- apply patch [ruby-list:38884].

* Sat Dec 06 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-0.3.1m)
- version up.

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.8.1-0.2.4m)
- rebuild against gdbm

* Sat Nov 01 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-0.2.3m)
- patch for [ruby-list:38706].

* Fri Oct 31 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-0.2.2m)
- add filelist.

* Thu Oct 30 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.1-0.2.1m)
- version up.

* Sat Aug 23 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.8.0-4m)
- fix typo in %%prep
   samples of tk are now included.

* Tue Aug 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.0-3m)
- add ruby-cvs.patch for bugfixes

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-2m)
- merge from ruby-1_8-branch.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-1m)
- version up.
- specoptized dbm backend type as with_dbm_backend_type (default qdbm).

* Sun Aug 03 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-0.7.2m)
- apply patch to support gtk2 testrunner for test/unit.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-0.7.1m)
- version up.

* Fri Aug 01 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-0.6.4m)
- append some provides and obsolete.
- remove conflicts.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-0.6.3m)
- modify filelist.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-0.6.2m)
- add Conflicts.
- add documents.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.0-0.6.1m)
- version up.

* Mon Apr 14 2003 Kenta MURATA <muraken2@nifty.com>
- (1.6.8-6m)
- add BuildPreReq: db4-devel.
- use db4 for dbm.so.

* Mon Apr 14 2003 Kenta MURATA <muraken2@nifty.com>
- (1.6.8-5m)
- BuildPreReq: ncurses-devel, gdbm-devel, readline-devel.
- modify configure arguments.

* Mon Mar 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6.8-4m)
- rebuild against for XFree86-4.3.0

* Sat Mar 22 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.6.8-3m)
- add --enable-ipv6 to configure if %%{_ipv6} is 1

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6.8-2m)
- rebuild against for gdbm

* Sat Dec 24 2002 Kenta MURATA <muraken2@nifty.com>
- (1.6.8-1m)
- version up.

* Sat Dec 21 2002 Kenta MURATA <muraken2@nifty.com>
- (1.6.7-11m)
- hold %{_libdir}/ruby/1.6/math directory.

* Tue Aug 04 2002 Kenta MURATA <muraken2@nifty.com>
- (1.6.7-10m)
- append tcl, tk to BuildPreReq.

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.7-9m)
- revise for ppc

* Thu May 23 2002 Kenta MURATA <muraken@kondara.org>
- (1.6.7-8k)
- perl tsuka ttenn ja ne- YO!

* Wed May  1 2002 Kenta MURATA <muraken@kondara.org>
- (1.6.7-6k)
- Provides: /usr/bin/ruby

* Mon Mar  4 2002 Kenta MURATA <muraken@kondara.org>
- (1.6.7-4k)
- [ruby-dev:16182]

* Sat Mar  2 2002 Kenta MURATA <muraken@kondara.org>
- (1.6.7-2k)
- version up to 1.6.7.

* Mon Jan 07 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.6.6-4k)
- Source URL fixed.

* Thu Dec 27 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.6-2K)
- version up to 1.6.6.

* Sun Dec 15 2001 Toru Hoshina <t@kondara.org>
- (1.6.5-12K)
- site_ruby should be under /usr/local so that user could make "local"
  environment without destroy package dep/req chain.

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.6.5-10K)
- nigittenu ... baatari-

* Thu Nov  1 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.5-8k)
- split ruby-mode-emacsen to elisp-ruby-mode

* Thu Nov  1 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.5-6k)
- never use %triggerin section
- append BuildPreReq tag

* Thu Oct 25 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.5-4k)
- marge 'ruby-mode-emacs' package
- make 'ruby-mode-xemacs' package

* Thu Sep 20 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.6.5-2k)
  update to 1.6.5

* Mon Jun 4 2001 Toru Hoshina <toru@df-usa.com>
- (1.6.4-2k)
- version 1.6.4

* Wed Mar 28 2001 Kenta MURATA <muraken2@nifty.com>
- (1.6.3-3k)
- version 1.6.3

* Mon Dec 25 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 1.6.2

* Wed Nov 29 2000 KIM Hyeong Cheol <kim@kondara.org>
- (1.6.1-7k)
- patch for process.c and file.c. (see [ruby-dev:11223])
 
* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- Do not use bzip2/gzip to compress man/info directly.

* Thu Oct 26 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.6.1-3k)
- fixed for bzip2ed man

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- (1.6.1-1k)
- Version 1.6.1.

* Thu Sep 28 2000 KUSUNOKI Masanori <nori@kondara.org>
- (1.6.0-1k)
- Version 1.6.0.

* Wed Sep 27 2000 Toru Hoshina <t@kondara.org>
- remove date2.rb so that ruby-date2 avoid conflict.

* Fri Sep 9 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.93.

* Fri Sep 9 2000 Toru Hoshina <t@kondara.org>
- (1.4.6-2k)
- spec file modified, compiled for Kondara 1.2.

* Thu Aug 17 2000 AYUHANA Tomnonoi <l@kondara.org>
- (1.4.6-1k)
- remove ruby-1.4.5-regexp-bug.patch (fixed)
- obey FHS
- add Requires: filesystem >= 2.0.7-1
- add Docdir: /usr/share/doc
- add --mandir=/usr/share/man at %configure
- change %file against FHS 

* Mon Aug 14 2000 AYUHANA Tomnonoi <l@kondara.org>
- (1.4.5-4k)
- add ruby-1.4.5-regexp-bug.patch (devel.ja:03242)

* Mon Jul  3 2000 AYUHANA Tomonori <l@kondara.org>
- (1.4.5-3k)
- 3rd repack tar ball
- md5sum: 0322a805a8fb7bef23127ad29fa1d537

* Sun Jun 25 2000 Toru Hoshina <t@kondara.org>
- (1.4.5-2k)
- rebuild against rpm 3.0.4 to keep backward compatibility.

* Sun Jun 25 2000 AYUHANA Tomonori <l@kondara.org>
- (1.4.5-1k)
- Version up to 1.4.5
- change /usr/local patch
- remove "ruby-fclose.diff" patch (because fixed)
- add -b at %patch

* Fri May 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Source, BuildRoot )
- Group change ( Applications -> Development )

* Thu Apr 27 2000 Toru Hoshina <t@kondara.org>
- add misc directory under DOC.

* Wed Apr 19 2000 Toru Hoshina <t@kondara.org>
- Version up to 1.4.4 (Official :-P)
- Removed date2.rb so that ruby-date package would be installed.

* Thu Mar 30 2000 Toru Hoshina <t@kondara.org>
- Version up to 1.4.4

* Sun Jan 30 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Thu Jan 13 2000 Takaaki Tabuchi <tab@kondara.org>
- add ifarch sparc

* Wed Dec 8 1999 Daisuke Sato <d@kondara.org>
- version 1.4.3(reset revision)

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Oct 3 1999 Toru Hoshina <hoshina@best.com>
- applied pack patch from ruby-dev ml #7961.

* Sun Sep 26 1999 Toru Hoshina <hoshina@best.com>
- 1.4.2 repacked.

* Thu Sep 16 1999 Toru Hoshina <hoshina@best.com>
- Add barterly symlink for i[3456]86.

* Thu Sep 16 1999 Toru Hoshina <hoshina@best.com>
- Version up to 1.4.2

* Sun Aug 22 1999 Toru Hoshina <hoshina@best.com>
- fixed dbm.so bug.

* Sat Aug 14 1999 Tsutomu Yasuda <_tom_@sf.airnet.ne.jp>
- Version up to 1.4.0

* Fri Aug 6 1999 Toru Hoshina<hoshina@best.com>
- Version up to 1.3.7.

* Wed Jul 28 1999 Toru Hoshina<hoshina@best.com>
- Version up to 1.3.6, this is beta release to 1.4.

* Thu Jul 22 1999 Toru Hoshina<hoshina@best.com>
- Version up to 1.3.5 development version.

* Sun Jun 14 1999 Toru Hoshina<hoshina@best.com>
- Version up to 1.3.4 990611 development version.

* Wed Jun 2 1999 Toru Hoshina<hoshina@best.com>
- Version up to 1.3.4 990531 development version.

* Fri May 14 1999 Toru Hoshina<hoshina@best.com>
- Version up to 1.3.3 990507 development version :-P
